# BlendDataFonts(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``BlendDataFonts`(bpy_struct)

  Collection of fonts

  `is_updated`

    Type: | boolean, default False, (readonly)

  `load`(filepath, check_existing=False)

    Load a new font into the main database

    Parameters: | filepath (string, (never None)) – path of the font to load check_existing (boolean, (optional)) – Using existing data-block if this file is already loaded
    Returns: | New font data-block
    Return type: | `VectorFont`

  `remove`(vfont)

    Remove a font from the current blendfile

    Parameters: | vfont (`VectorFont`, (never None)) – Font to remove

  `tag`(value)

    tag

    Parameters: | value (boolean) – Value

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`BlendData.fonts` |